package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 检查通知对象 td_notify
 * 
 * @author ruoyi
 * @date 2024-05-06
 */
public class TdNotify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 通知id */
    private Long notifyId;

    /** 通知人 */
    @Excel(name = "通知人")
    private String notifyUser;

    /** 单位 */
    @Excel(name = "单位")
    private String notifyDepart;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date notifyTime;

    /** 内容 */
    @Excel(name = "内容")
    private String notifyContent;

    /** 被通知人 */
    @Excel(name = "被通知人")
    private String notifyBeuser;

    /** 发出状态（1.已发出，2.未发出） */
    @Excel(name = "发出状态", readConverterExp = "1=已发出,2=未发出")
    private String notifyState;

    /** 市州 */
    @Excel(name = "市州")
    private String framework;

    /** 地区 */
    @Excel(name = "地区")
    private String area;

    public void setNotifyId(Long notifyId) 
    {
        this.notifyId = notifyId;
    }

    public Long getNotifyId() 
    {
        return notifyId;
    }
    public void setNotifyUser(String notifyUser) 
    {
        this.notifyUser = notifyUser;
    }

    public String getNotifyUser() 
    {
        return notifyUser;
    }
    public void setNotifyDepart(String notifyDepart) 
    {
        this.notifyDepart = notifyDepart;
    }

    public String getNotifyDepart() 
    {
        return notifyDepart;
    }
    public void setNotifyTime(Date notifyTime) 
    {
        this.notifyTime = notifyTime;
    }

    public Date getNotifyTime() 
    {
        return notifyTime;
    }
    public void setNotifyContent(String notifyContent) 
    {
        this.notifyContent = notifyContent;
    }

    public String getNotifyContent() 
    {
        return notifyContent;
    }
    public void setNotifyBeuser(String notifyBeuser) 
    {
        this.notifyBeuser = notifyBeuser;
    }

    public String getNotifyBeuser() 
    {
        return notifyBeuser;
    }
    public void setNotifyState(String notifyState) 
    {
        this.notifyState = notifyState;
    }

    public String getNotifyState() 
    {
        return notifyState;
    }
    public void setFramework(String framework) 
    {
        this.framework = framework;
    }

    public String getFramework() 
    {
        return framework;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("notifyId", getNotifyId())
            .append("notifyUser", getNotifyUser())
            .append("notifyDepart", getNotifyDepart())
            .append("notifyTime", getNotifyTime())
            .append("notifyContent", getNotifyContent())
            .append("notifyBeuser", getNotifyBeuser())
            .append("notifyState", getNotifyState())
            .append("framework", getFramework())
            .append("area", getArea())
            .toString();
    }
}
